summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--python/xe/README4
-rw-r--r--python/xe/slack-desc19
-rw-r--r--python/xe/xe.SlackBuild69
-rw-r--r--python/xe/xe.info10
4 files changed, 102 insertions, 0 deletions
diff --git a/python/xe/README b/python/xe/README
new file mode 100644
index 0000000000..9b383e9ecb
--- /dev/null
+++ b/python/xe/README
@@ -0,0 +1,4 @@
+xe (short for "XML Elements") is a python library module that defines
+classes to work with XL elements in a Pythonic way.
+
+xe is member of the project PyFeed.
diff --git a/python/xe/slack-desc b/python/xe/slack-desc
new file mode 100644
index 0000000000..05d4480f49
--- /dev/null
+++ b/python/xe/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also customary
+# to leave one space after the ':'.
+
+ |----handy-ruler-------------------------------------------------------|
+xe: xe (XML Elements python module)
+xe:
+xe: xe (short for "XML Elements") is a Python library module designed to
+xe: make it easy to work with XML. It is part of the PyFeed project.
+xe:
+xe: (http://home.avvanta.com/~steveha/xe.html)
+xe:
+xe:
+xe:
+xe:
+xe:
diff --git a/python/xe/xe.SlackBuild b/python/xe/xe.SlackBuild
new file mode 100644
index 0000000000..92ba9c66e4
--- /dev/null
+++ b/python/xe/xe.SlackBuild
@@ -0,0 +1,69 @@
+#!/bin/sh
+
+# Slackware build script for xe
+
+# Written by Xavier Maillard <xavier@maillard.im>
+
+PRGNAM=xe
+VERSION=${VERSION:-0.7.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+python setup.py install --root=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ TODO README.txt psf.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/python/xe/xe.info b/python/xe/xe.info
new file mode 100644
index 0000000000..43748478ea
--- /dev/null
+++ b/python/xe/xe.info
@@ -0,0 +1,10 @@
+PRGNAM="xe"
+VERSION="0.7.4"
+HOMEPAGE="http://home.avvanta.com/~steveha/xe.html"
+DOWNLOAD="http://www.blarg.net/~steveha/xe-0.7.4.tar.gz"
+MD5SUM="eff507b7a3700c93bd5ba756d4a6f457"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Xavier Maillard"
+EMAIL="xavier@maillard.im"
+APPROVED="Niels Horn"